var path = require("path");
// glob是webpack安装时依赖的一个第三方模块，还模块允许你使用 *等符号, 例如lib/*.js就是获取lib文件夹下的所有js后缀名的文件
var glob = require("glob");
// 页面模板
var PAGE_PATH = path.resolve(__dirname, "../src/pages");

//多入口配置
// 通过glob模块读取pages文件夹下的所有对应文件夹下的js后缀文件，如果该文件存在
// 那么就作为入口处理

function getEntry() {
  var entryFiles = glob.sync(PAGE_PATH + "/*/*.js");
  var map = {};
  entryFiles.forEach(filePath => {
    var filename = filePath.substring(
      filePath.lastIndexOf("/") + 1,
      filePath.lastIndexOf(".")
    );
    map[filename] = {
      template: "./src/pages/" + filename + "/" + filename + ".html",
      entry: "./src/pages/" + filename + "/" + filename + ".js",
      filename: filename + ".html",
      title: filename.substring(0, 1).toUpperCase() + filename.substring(1)+" Page",
      // 在这个页面中包含的块，默认情况下会包含
      // 提取出来的通用 chunk 和 vendor chunk。
      chunks: ["chunk-vendors", "chunk-common", filename]
    };
  });
  return map;
}
module.exports = {
  pages: getEntry()
};
